' === Script Information Header ===
' Script Name: TextReplacement.vbs
' Date:        24.02.10
' Author:       
' Description:       
' === Initialization Block ===

Const ForReading   = 1
Const ForWriting   = 2
Const ForAppending = 8

Const TristateUseDefault = -2
Const TristateTrue       = -1
Const TristateFalse      =  0

Const sFolder      = "\\Server\Resource\Folder"
Const sFindText    = "Server01"
Const sReplaceText = "Server02"

Dim ChangeCounter
' === Script Main Logic ===
'   
Set oShell = CreateObject("WScript.Shell")
'    
Set oFSO = CreateObject("Scripting.Filesystemobject")
'    
Call TextReplacement(sFolder, sFindText, sReplaceText)
'      
Wscript.Echo vbCrLf & ChangeCounter & " files were checked"

' === Functions and Procedures ===

'   
Sub TextReplacement(FolderPath, FindText, ReplaceText)
    '   
    Set oFolder = oFSO.GetFolder(FolderPath)
    '   
    Set colFiles = oFolder.Files
    '    
    For Each oFile In colFiles
        '   HTM  HTML 
        If LCase(Right(oFile.Name,3))="htm" Or LCase(Right(oFile.Name,4))="html" Then
            '    
            Set oFileContent = oFile.OpenAsTextStream(ForReading, TristateUseDefault)
            sText = oFileContent.ReadAll
            oFileContent.Close
            '    
            sText = Replace(sText, FindText, ReplaceText)
            '   
            Set oNewFile = oFSO.CreateTextFile(oFile.Path)
            oNewFile.Write(sText)
            oNewFile.Close
            '    
            ChangeCounter = ChangeCounter + 1
        End If
    Next
    '   
    Set colSubFolders = oFolder.SubFolders
    For Each oSubFolder In colSubFolders
        '     
        Call TextReplacement(oSubFolder.Path, FindText, ReplaceText)
    Next
End Sub